#!/bin/bash

pwd

# patiets No = ???????
for Patient in ???????

do
# Getting into DT directory
cd ./${Patient}/DT/

pwd
echo "Now, producing invwarped seed target exclude masks"
date

# be aware that inversed fnirt invwarp_FMRIB_to_dti_FA.nii.gz is ready in the working directory

mkdir modified_XTRACT_output_native
mkdir ./modified_XTRACT_output_native/tracts
cd ./modified_XTRACT_output_native/tracts

# copying xtract files into current direcotry

for ROI in \
ac \
af_l \
af_r \
ar_l \
ar_r \
atr_l \
atr_r \
cbd_l \
cbd_r \
cbp_l \
cbp_r \
cbt_l \
cbt_r \
cst_l \
cst_r \
fa_l \
fa_r \
fma \
fmi \
fx_l \
fx_r \
ifo_l \
ifo_r \
ilf_l \
ilf_r \
mcp \
mdlf_l \
mdlf_r \
or_l \
or_r \
slf1_l \
slf1_r \
slf2_l \
slf2_r \
slf3_l \
slf3_r \
str_l \
str_r \
uf_l \
uf_r \
vof_l \
vof_r

do
cp -r ${FSLDIR}/data/xtract_data/Human/${ROI} ./
done

for ROI in *
do
cd ./${ROI}
for file in *.nii.gz
do
applywarp --in=$file --ref=../../../dti_FA --warp=../../../invwarp_FMRIB_to_dti_FA.nii.gz --out=invwarped_$file --interp=nn
done
ls -1 `pwd`/invwarped_target*.nii.gz > targets.txt
cd ../
done

cd ../../

cd ../../
done

echo "Finishing producing invwarped seed target exclude masks"
pwd
date

#### The setting of seed, target, exclude is based on the following paper.
#### https://www.ncbi.nlm.nih.gov/pmc/articles/PMC7260058/
