#!/bin/bash

pwd

# patiets No = ???????
for Patient in ???????

do
# Getting into DT directory
cd ./${Patient}/DT/

pwd
echo "Now, running tractography display"
date
rm -r Figures_native
mkdir Figures_native
cd ./Figures_native
THR=0.05
SAT=0.10
for ROI in \
ac \
af_l \
af_r \
ar_l \
ar_r \
atr_l \
atr_r \
cbd_l \
cbd_r \
cbp_l \
cbp_r \
cbt_l \
cbt_r \
cst_l \
cst_r \
fa_l \
fa_r \
fma \
fmi \
fx_l \
fx_r \
ifo_l \
ifo_r \
ilf_l \
ilf_r \
mcp \
mdlf_l \
mdlf_r \
or_l \
or_r \
slf1_l \
slf1_r \
slf2_l \
slf2_r \
slf3_l \
slf3_r \
str_l \
str_r \
uf_l \
uf_r \
vof_l \
vof_r

do
fslmaths ../modified_XTRACT_output_native/stats/Tracts_densityNorm/${ROI} -mul ../modified_XTRACT_output_native/stats/Tract_masks/${ROI}_mask thr_${ROI}
done

# procuding right-left separation masks
fslmaths ${FSLDIR}/data/standard/MNI152_T1_1mm_brain.nii.gz -mul 0 -add 1 -roi 92 91 0 218 0 182 0 1 -bin Lt_rectangular.nii.gz
fslmaths ${FSLDIR}/data/standard/MNI152_T1_1mm_brain.nii.gz -mul 0 -add 1 -roi 0 91 0 218 0 182 0 1 -bin Rt_rectangular.nii.gz

fslmaths ${FSLDIR}/data/standard/MNI152_T1_1mm_brain.nii.gz -mul 0 -add 1 -roi 0 182 0 60 0 182 0 1 -bin back.nii.gz
fslmaths ${FSLDIR}/data/standard/MNI152_T1_1mm_brain.nii.gz -mul 0 -add 1 -roi 0 182 170 48 0 182 0 1 -bin front.nii.gz
fslmaths ${FSLDIR}/data/standard/MNI152_T1_1mm_brain.nii.gz -mul 0 -add 1 -roi 0 182 0 218 0 60 0 1 -bin inferior.nii.gz

fslmaths Lt_rectangular.nii.gz -add back.nii.gz -add front.nii.gz -add inferior.nii.gz -bin Lt_inclusion_mask.nii.gz
fslmaths Rt_rectangular.nii.gz -add back.nii.gz -add front.nii.gz -add inferior.nii.gz -bin Rt_inclusion_mask.nii.gz

applywarp --in=Lt_inclusion_mask.nii.gz --ref=../dti_FA --warp=../invwarp_FMRIB_to_dti_FA.nii.gz --out=invwarped_Lt_inclusion_mask.nii.gz --interp=nn
applywarp --in=Rt_inclusion_mask.nii.gz --ref=../dti_FA --warp=../invwarp_FMRIB_to_dti_FA.nii.gz --out=invwarped_Rt_inclusion_mask.nii.gz --interp=nn

fslmaths ../dti_FA -mul invwarped_Lt_inclusion_mask.nii.gz Lt+_hemisphere
fslmaths ../dti_FA -mul invwarped_Rt_inclusion_mask.nii.gz Rt+_hemisphere

fsleyes \
--bgColour 0 0 0 \
--scene 3d \
--hideLegend \
--hideCursor \
--zoom 125 \
-rot 315 -15 -15 \
./Rt+_hemisphere \
./thr_cst_l -dr ${THR} ${SAT} -cm red -n cst_l \
./thr_slf1_l -dr ${THR} ${SAT} -cm yellow -n slf1_l \
./thr_slf2_l -dr ${THR} ${SAT} -cm blue -n slf2_l \
./thr_slf3_l -dr ${THR} ${SAT} -cm green -n slf3_l &

fsleyes \
--bgColour 0 0 0 \
--scene 3d \
--hideLegend \
--hideCursor \
--zoom 125 \
-rot 45 -15 15 \
./Lt+_hemisphere \
./thr_cst_r -dr ${THR} ${SAT} -cm red -n cst_l \
./thr_slf1_r -dr ${THR} ${SAT} -cm yellow -n slf1_l \
./thr_slf2_r -dr ${THR} ${SAT} -cm blue -n slf2_l \
./thr_slf3_r -dr ${THR} ${SAT} -cm green -n slf3_l &

cd ../
cd ../../
done

echo "Finishing tractography display"
pwd
date

